TIFFFLUSH(3tiff)

NAME
TIFFFlush - flush pending writes to an open TIFF file

SYNOPSIS

    #include <tiffio.h>

int TIFFFlush(TIFF *tif)

int TIFFFlushData(TIFF *tif)

DESCRIPTION

TIFFFlush() causes any pending writes for the specified file (including writes for the current directory) to be done. In normal operation this call is never needed—the library automatically does any flushing required.

TIFFFlushData() flushes any pending image data for the specified file to be written out; directory-related data are not flushed. In normal operation this call is never needed—the library automatically does any flushing required.

RETURN VALUES

0 is returned if an error is encountered, otherwise 1 is returned.

DIAGNOSTICS

All error messages are directed to the TIFFErrorExtR() routine.

SEE ALSO

TIFFOpen (3tiff), TIFFWriteEncodedStrip (3tiff), TIFFWriteEncodedTile (3tiff), TIFFWriteRawStrip (3tiff), TIFFWriteRawTile (3tiff), TIFFWriteScanline (3tiff), TIFFWriteTile (3tiff), libtiff (3tiff)

AUTHOR
LibTIFF contributors

COPYRIGHT
1988-2025, LibTIFF contributors